Apache & php

Résolu/Fermé
benoitXV
Messages postés
229
Date d'inscription
lundi 2 juin 2008
Statut
Membre
Dernière intervention
24 mai 2022
- 2 juin 2008 à 16:56
 ZePequeno - 7 sept. 2011 à 15:34
Bonjour,


Je suis sur le point de developper un petit site web en php.
Ce site utilse une base postgresql.

J'utilise apache, mais je ne sais quel module, plugin je dois installé pour qu'apache interprete le code PHP.

Merci d'avance

35 réponses

ca y est, j'ai la solution.

c'est la dll de la version php 5.2.6 qui est vérolée.

en copiant php_pgsql.dll de la version 5.2.5 dans le répertoire c:/wamp/bin/php/php5.2.6/ext à la place de la dll de la version 5.2.6, ça marche
2
vlmath
Messages postés
793
Date d'inscription
vendredi 20 octobre 2006
Statut
Contributeur
Dernière intervention
4 septembre 2011
160
2 juin 2008 à 18:26
Salut,

C'est relativement facile : tu dois juste décompresser une archive, et dire à Apache de charger un module en plus. T'as toutes les infos qu'il faut ici.

@Bientôt
1
benoitXV
Messages postés
229
Date d'inscription
lundi 2 juin 2008
Statut
Membre
Dernière intervention
24 mai 2022
17
3 juin 2008 à 12:49
En fait, j'ai opté pour l'installation de wamp2.

Cela fonctionne, mais hélas, j'ai toujours un problème avec php qui refuse la dll -> php_pgsql.dll

php_error.log me signale que cet dll est introuvable:

[03-Jun-2008 11:33:20] PHP Warning: PHP Startup: Unable to load dynamic library 'c:/wamp/bin/php/php5.2.6/ext/php_pgsql.dll' - Le module spécifié est introuvable.

in Unknown on line 0

[03-Jun-2008 11:33:20] PHP Warning: PHP Startup: Unable to load dynamic library 'c:/wamp/bin/php/php5.2.6/ext/php_pgsql.dll' - Le module spécifié est introuvable.

in Unknown on line 0

[03-Jun-2008 11:33:20] PHP Warning: PHP Startup: Unable to load dynamic library 'c:/wamp/bin/php/php5.2.6/ext/php_pgsql.dll' - Le module spécifié est introuvable.

in Unknown on line 0

[03-Jun-2008 11:33:20] PHP Warning: PHP Startup: Unable to load dynamic library 'c:/wamp/bin/php/php5.2.6/ext/php_pgsql.dll' - Le module spécifié est introuvable.

in Unknown on line 0

[03-Jun-2008 11:33:20] PHP Warning: PHP Startup: Unable to load dynamic library 'c:/wamp/bin/php/php5.2.6/ext/php_pgsql.dll' - Le module spécifié est introuvable.

in Unknown on line 0

[03-Jun-2008 11:33:20] PHP Warning: PHP Startup: Unable to load dynamic library 'c:/wamp/bin/php/php5.2.6/ext/php_pgsql.dll' - Le module spécifié est introuvable.

in Unknown on line 0



Et pourtant le fichier existe????????????????

PS: j'ai noté que le chemin etais spècifié avec des / alors que dans explorer c'est des \ ?
1
ryldor
Messages postés
144
Date d'inscription
mardi 8 janvier 2008
Statut
Membre
Dernière intervention
27 janvier 2009
14
4 juin 2008 à 12:12
dacor mais lorsque tu fe 1 clique gauche sur licone wamp ta le menu ki s'affiche et dans php tu as extension, verifie que php_pgsql soit bien selectionner !
1

Vous n’avez pas trouvé la réponse que vous recherchez ?

Posez votre question
ryldor
Messages postés
144
Date d'inscription
mardi 8 janvier 2008
Statut
Membre
Dernière intervention
27 janvier 2009
14
4 juin 2008 à 14:03
en clair tu cherche à le developper en local avec wamp et ensuite tu veux l'exporter sur un serveur postgresql
1
benoitXV
Messages postés
229
Date d'inscription
lundi 2 juin 2008
Statut
Membre
Dernière intervention
24 mai 2022
17
4 juin 2008 à 14:21
oui, et je crois savoir que mysql va etre payant
1
ryldor
Messages postés
144
Date d'inscription
mardi 8 janvier 2008
Statut
Membre
Dernière intervention
27 janvier 2009
14
4 juin 2008 à 14:24
non mysql est gratuit tout comme postgresql regarde ici : http://www.commentcamarche.net/telecharger/telecharger 84 mysql
1
ryldor
Messages postés
144
Date d'inscription
mardi 8 janvier 2008
Statut
Membre
Dernière intervention
27 janvier 2009
14
4 juin 2008 à 14:30
J'en ai pas entendu parler !
1
benoitXV
Messages postés
229
Date d'inscription
lundi 2 juin 2008
Statut
Membre
Dernière intervention
24 mai 2022
17
4 juin 2008 à 15:31
j'ai testé sur un autre pc IDEM
1
ryldor
Messages postés
144
Date d'inscription
mardi 8 janvier 2008
Statut
Membre
Dernière intervention
27 janvier 2009
14
4 juin 2008 à 15:33
La pour l'instant je n'ai pas de solutions a te donner mais j'y réfléchis !
1
benoitXV
Messages postés
229
Date d'inscription
lundi 2 juin 2008
Statut
Membre
Dernière intervention
24 mai 2022
17
4 juin 2008 à 15:37
c'est sympa de ta part Merci
1
benoitXV
Messages postés
229
Date d'inscription
lundi 2 juin 2008
Statut
Membre
Dernière intervention
24 mai 2022
17
4 juin 2008 à 16:45
Enfin

Je suis passé a Easyphp, j'ai activé pgsql et ope ça marche....

Merci ryldor pour ton aide
1
bonjour

j'ai le même pb avec php 5.2.6 (je ne l'ai pas sur un autre poste avec php 5.2.5),
as tu avancé ?

brosc
1
la version de la dll de php 5.2.6 a l'air vérolée.

en remplaçant cette dll par celle de la version php5.2.5, le message d'erreur disparait
1
benoitXV
Messages postés
229
Date d'inscription
lundi 2 juin 2008
Statut
Membre
Dernière intervention
24 mai 2022
17
25 juil. 2008 à 16:17
oui,

j'ai installé easyphp...et cela fonctionne
1
Pour résoudre ses problèmes de "unable to load php_pgsql.dll", il faut ajouter dans le PATH des variables d'environnement le chemin vers postgresql/bin .
1
Outre les réponses de l'autre illuminé de yenchadlix, voici comment résoudre comme un porc ces problèmes assez récurrents :

Tu copies toutes les dll de PHP et PHP/Ext dans le répertoire Apache/Bin....et voila, tu redémarres Apache et c'est réglé.
1
benoitXV
Messages postés
229
Date d'inscription
lundi 2 juin 2008
Statut
Membre
Dernière intervention
24 mai 2022
17
3 juin 2008 à 11:08
merci, je regarde cela.
0
benoitXV
Messages postés
229
Date d'inscription
lundi 2 juin 2008
Statut
Membre
Dernière intervention
24 mai 2022
17
3 juin 2008 à 16:08
j'ai appliqué ce que disais cet page https://www.somacon.com/p447.php

Mais rien a changé. Pfffff

Je dois peut etre ajouter un autre module, mais lequel?
0
benoitXV
Messages postés
229
Date d'inscription
lundi 2 juin 2008
Statut
Membre
Dernière intervention
24 mai 2022
17
3 juin 2008 à 18:32
Enfin ca marche


J'ai fait plein de manip, mais je pense que la ré-installation de php5.2.6 a tous resolu.
(il fallait spécifier de pointer sur le fichier httpd.conf dans wamp pendant l'install)

2 jours de galère pour ça.


Ouf
0